import datetime

class Movimiento:
	def __init__(self,monto):
		self.fecha = datetime.datetime.now()
		self.monto = monto

class CuentaBancaria:
	def __init__(self):
		self.balance = 0
		self.movimientos = []

	def retirar(self,monto):
		self.balance -= monto
		self.movimientos.append(Movimiento(-monto))

	def depositar(self,monto):
		self.balance += monto
		self.movimientos.append(Movimiento(monto))
		

class Cliente:
	def __init__(self,nombre,rut):
		self.nombre = nombre
		self.rut =rut
		self.cuentas = []

	def agregar_cuenta(self):
		self.cuentas.append(CuentaBancaria())

	def retirar(self,num_cuenta, monto):
		self.cuentas[num_cuenta].retirar(monto)

	def depositar(self,num_cuenta, monto):
		self.cuentas[num_cuenta].depositar(monto)
		
	def mostrar_detalle_cuentas(self):
		print("Titular:",self.nombre)
		print("Rut:",self.rut)
		for i in range(len(self.cuentas)):
			print("\nCuenta:",i,"----------")
			for m in self.cuentas[i].movimientos:
				print(m.fecha,m.monto)
			print("Balance:",self.cuentas[i].balance)

c = Cliente("Aldo Verry","3.000.000-0")
for i in range(3):
	c.agregar_cuenta()
c.depositar(0,100000)
c.depositar(2,200000)
for i in range(3):
	c.retirar(i,10000000)
c.mostrar_detalle_cuentas()


